Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.compara.driver
Interface MethodLinkSpeciesSetAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface MethodLinkSpeciesSetAdaptor
extends Adaptor

I am a part of the compara analysis

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`java.util.List` | `fetch()`
`java.util.List` | `fetch(GenomeDB genomeDB)`
`MethodLinkSpeciesSet` | `fetch(long internalID)`
`java.util.List` | `fetch(MethodLink link)`
`java.util.List` | `fetch(MethodLink link, GenomeDB genome)`
`java.util.List` | `fetch(MethodLink link, GenomeDB[] genomes)`
`int` | `store(MethodLinkSpeciesSet link)`

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public java.util.List fetch()
                         throws AdaptorException

  Throws:
    `AdaptorException`

### fetch

    public MethodLinkSpeciesSet fetch(long internalID)
                               throws AdaptorException

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(MethodLink link,
                                GenomeDB[] genomes)
                         throws AdaptorException

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(MethodLink link,
                                GenomeDB genome)
                         throws AdaptorException

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(MethodLink link)
                         throws AdaptorException

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(GenomeDB genomeDB)
                         throws AdaptorException

  Throws:
    `AdaptorException`

### store

    public int store(MethodLinkSpeciesSet link)
              throws AdaptorException

  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD